Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UISelect.Properties

    java.lang.Object
      java.lang.Enum<UISelect.Properties>
          org.richfaces.component.UISelect.Properties

All Implemented Interfaces:
  Serializable, Comparable<UISelect.Properties>

Enclosing class:
  UISelect

    protected static enum UISelect.Properties

extends Enum<UISelect.Properties>

Enum Constant Summary
`activeClass`
`changedClass`
`clientFilterFunction`
`defaultLabel`
`disabled`
`disabledClass`
`enableManualInput`
`itemClass`
`listClass`
`listHeight`
`listWidth`
`maxListHeight`
`minListHeight`
`onblur`
`onchange`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onlistclick`
`onlistdblclick`
`onlisthide`
`onlistkeydown`
`onlistkeypress`
`onlistkeyup`
`onlistmousedown`
`onlistmousemove`
`onlistmouseout`
`onlistmouseover`
`onlistmouseup`
`onlistshow`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onselectitem`
`selectFirst`
`selectItemClass`
`showButton`
`style`
`styleClass`
`title`

Method Summary
`static UISelect.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UISelect.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### activeClass

    public static final UISelect.Properties activeClass

### changedClass

    public static final UISelect.Properties changedClass

### clientFilterFunction

    public static final UISelect.Properties clientFilterFunction

### defaultLabel

    public static final UISelect.Properties defaultLabel

### disabled

    public static final UISelect.Properties disabled

### disabledClass

    public static final UISelect.Properties disabledClass

### enableManualInput

    public static final UISelect.Properties enableManualInput

### itemClass

    public static final UISelect.Properties itemClass

### listClass

    public static final UISelect.Properties listClass

### listHeight

    public static final UISelect.Properties listHeight

### listWidth

    public static final UISelect.Properties listWidth

### maxListHeight

    public static final UISelect.Properties maxListHeight

### minListHeight

    public static final UISelect.Properties minListHeight

### onblur

    public static final UISelect.Properties onblur

### onchange

    public static final UISelect.Properties onchange

### onclick

    public static final UISelect.Properties onclick

### ondblclick

    public static final UISelect.Properties ondblclick

### onfocus

    public static final UISelect.Properties onfocus

### onkeydown

    public static final UISelect.Properties onkeydown

### onkeypress

    public static final UISelect.Properties onkeypress

### onkeyup

    public static final UISelect.Properties onkeyup

### onlistclick

    public static final UISelect.Properties onlistclick

### onlistdblclick

    public static final UISelect.Properties onlistdblclick

### onlisthide

    public static final UISelect.Properties onlisthide

### onlistkeydown

    public static final UISelect.Properties onlistkeydown

### onlistkeypress

    public static final UISelect.Properties onlistkeypress

### onlistkeyup

    public static final UISelect.Properties onlistkeyup

### onlistmousedown

    public static final UISelect.Properties onlistmousedown

### onlistmousemove

    public static final UISelect.Properties onlistmousemove

### onlistmouseout

    public static final UISelect.Properties onlistmouseout

### onlistmouseover

    public static final UISelect.Properties onlistmouseover

### onlistmouseup

    public static final UISelect.Properties onlistmouseup

### onlistshow

    public static final UISelect.Properties onlistshow

### onmousedown

    public static final UISelect.Properties onmousedown

### onmousemove

    public static final UISelect.Properties onmousemove

### onmouseout

    public static final UISelect.Properties onmouseout

### onmouseover

    public static final UISelect.Properties onmouseover

### onmouseup

    public static final UISelect.Properties onmouseup

### onselectitem

    public static final UISelect.Properties onselectitem

### selectFirst

    public static final UISelect.Properties selectFirst

### selectItemClass

    public static final UISelect.Properties selectItemClass

### showButton

    public static final UISelect.Properties showButton

### style

    public static final UISelect.Properties style

### styleClass

    public static final UISelect.Properties styleClass

### title

    public static final UISelect.Properties title

Method Detail

### values

    public static UISelect.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UISelect.Properties c : UISelect.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UISelect.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.